package com.iamberry.wechat.core.entity.eo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 *  结算赠品类
 * @author Administrator
 * @Date 2019-10-21
 */
public class SettlementGift  implements  Serializable{
    private static final long serialVersionUID = -2406158685606440068L;
    //结算赠品Id
    private Integer settGiftId;
    //活动id
    private Integer promotionsId;
    //1.使用中 2.未使用
    private Integer settGiftStatus;
    //备注
    private String settGiftDesc;
    //顺序
    private Integer settGiftSort;
    //创建时间'
    private Date settGiftCreateTime;
    //赠品条件类
    private List<GiftCondition> giftConditionList = new ArrayList<>();
    //赠品池
    private List<GiftPool> giftPoolList = new ArrayList<>();

    public Integer getSettGiftId(){
        return settGiftId;
    }

    public void setSettGiftId(Integer  settGiftId){
        this.settGiftId=settGiftId;
    }

    public Integer getPromotionsId(){
        return promotionsId;
    }

    public void setPromotionsId(Integer  promotionsId){
        this.promotionsId=promotionsId;
    }

    public Integer getSettGiftStatus(){
        return settGiftStatus;
    }

    public void setSettGiftStatus(Integer  settGiftStatus){
        this.settGiftStatus=settGiftStatus;
    }

    public String getSettGiftDesc(){
        return settGiftDesc;
    }

    public void setSettGiftDesc(String  settGiftDesc){
        this.settGiftDesc=settGiftDesc;
    }

    public Date getSettGiftCreateTime(){
        return settGiftCreateTime;
    }

    public void setSettGiftCreateTime(Date  settGiftCreateTime){
        this.settGiftCreateTime=settGiftCreateTime;
    }

    public Integer getSettGiftSort() {
        return settGiftSort;
    }

    public void setSettGiftSort(Integer settGiftSort) {
        this.settGiftSort = settGiftSort;
    }

    public List<GiftCondition> getGiftConditionList() {
        return giftConditionList;
    }

    public void setGiftConditionList(List<GiftCondition> giftConditionList) {
        this.giftConditionList = giftConditionList;
    }

    public List<GiftPool> getGiftPoolList() {
        return giftPoolList;
    }

    public void setGiftPoolList(List<GiftPool> giftPoolList) {
        this.giftPoolList = giftPoolList;
    }
}